org.appng.appngizer.controller

## Class ControllerBase

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase

- Direct Known Subclasses:
    ApplicationController, DatabaseController, GroupController, Home, PermissionController, PlatformController, PlatformPropertyController, RepositoryController, RoleController, SiteApplicationController, SiteApplicationPropertyController, SiteController, SitePropertyController, SubjectController

      @RequestMapping(produces={"text/xml","application/xml"})
      public abstract class ControllerBase
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AppNGizerConfigurer` | `configurer`
    `protected javax.servlet.ServletContext` | `context`
    `protected CoreService` | `coreService`
    `protected DatabaseService` | `databaseService`
    `protected javax.servlet.http.HttpSession` | `session`
    `protected TemplateService` | `templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControllerBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.flywaydb.core.api.MigrationInfo` | `getDatabaseStatus()`
    `String` | `getSharedSecret()`
    `org.springframework.http.ResponseEntity<Errors>` | `onBusinessException(javax.servlet.http.HttpServletRequest request, BusinessException e)`
    `org.springframework.http.ResponseEntity<Errors>` | `onConflictException(javax.servlet.http.HttpServletRequest request, ConflictException e)`
    `org.springframework.http.ResponseEntity<Errors>` | `onConstraintViolationException(javax.servlet.http.HttpServletRequest request, javax.validation.ConstraintViolationException e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          @Autowired
          protected javax.servlet.ServletContext context

    - #### session

          @Autowired
          protected javax.servlet.http.HttpSession session

    - #### coreService

          @Autowired
          protected CoreService coreService

    - #### templateService

          @Autowired
          protected TemplateService templateService

    - #### databaseService

          @Autowired
          protected DatabaseService databaseService

    - #### configurer

          @Autowired
          protected AppNGizerConfigurer configurer

  - ### Constructor Detail

    - #### ControllerBase

          public ControllerBase()

  - ### Method Detail

    - #### onBusinessException

          @ExceptionHandler(value=BusinessException.class)
          public org.springframework.http.ResponseEntity<Errors> onBusinessException(javax.servlet.http.HttpServletRequest request,
                                                                                                                                      BusinessException e)

    - #### onConstraintViolationException

          @ExceptionHandler(value=javax.validation.ConstraintViolationException.class)
          public org.springframework.http.ResponseEntity<Errors> onConstraintViolationException(javax.servlet.http.HttpServletRequest request,
                                                                                                                                                                             javax.validation.ConstraintViolationException e)

    - #### onConflictException

          @ExceptionHandler(value=ConflictException.class)
          public org.springframework.http.ResponseEntity<Errors> onConflictException(javax.servlet.http.HttpServletRequest request,
                                                                                                                                      ConflictException e)

    - #### getDatabaseStatus

          protected org.flywaydb.core.api.MigrationInfo getDatabaseStatus()

    - #### getSharedSecret

          public String getSharedSecret()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.